## inkscape 1.1

=== CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
cmake_minimum_required(VERSION 3.1.0)

cmake_policy(SET CMP0003 NEW) # don't be prolific with library paths
cmake_policy(SET CMP0005 NEW) # proper define quoting
cmake_policy(SET CMP0009 NEW) # don't follow symbolic links when using GLOB

if(POLICY CMP0075)
    cmake_policy(SET CMP0075 NEW) # link check-executable to CMAKE_REQUIRED_LIBRARIES (CMake 3.12.1)
endif(POLICY CMP0075)

message("------------------------------")
message("Building Makefile for Inkscape")
message("------------------------------")
message("Source Dir: ${CMAKE_CURRENT_SOURCE_DIR}")
message("Binary Dir: ${CMAKE_CURRENT_BINARY_DIR}")

# -----------------------------------------------------------------------------
# CMake Configuration
# -----------------------------------------------------------------------------
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
# set(CMAKE_CXX_EXTENSIONS OFF) # enforces -std=c++17 instead of -std=gnu++17
                                # TODO: build currently fails with it as we actually depend on GNU compiler extensions...

list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/CMakeScripts/Modules")

# avoid having empty buildtype
set(CMAKE_BUILD_TYPE_INIT "Release")

include(CMakeScripts/HelperFunctions.cmake)
include(CMakeScripts/ConfigEnv.cmake)

project(inkscape)
set(CMAKE_INSTALL_DEFAULT_COMPONENT_NAME inkscape) # needs to be before any install() commands

include(GNUInstallDirs) # for the CMAKE_INSTALL_LIBDIR variable
include(CMakeScripts/ConfigPaths.cmake)

set(PROJECT_NAME inkscape)

# see https://gitlab.com/inkscape/inkscape/-/issues/551 for versioning suffixes
set(INKSCAPE_VERSION_MAJOR  1)
set(INKSCAPE_VERSION_MINOR  1)
set(INKSCAPE_VERSION_PATCH  0)
set(INKSCAPE_VERSION_SUFFIX "")

set(INKSCAPE_VERSION ${INKSCAPE_VERSION_MAJOR}.${INKSCAPE_VERSION_MINOR})
if(INKSCAPE_VERSION_PATCH)
    set(INKSCAPE_VERSION ${INKSCAPE_VERSION}.${INKSCAPE_VERSION_PATCH})
endif()
if(INKSCAPE_VERSION_SUFFIX)
    set(INKSCAPE_VERSION ${INKSCAPE_VERSION}${INKSCAPE_VERSION_SUFFIX})
endif()

set(CMAKE_INCLUDE_CURRENT_DIR TRUE)

file(RELATIVE_PATH
    INKSCAPE_INSTALL_LIBDIR_RELATIVE_TO_BINDIR
    "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_BINDIR}"
    "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/inkscape")

if(APPLE)
    SET(CMAKE_MACOSX_RPATH TRUE)
    SET(CMAKE_INSTALL_RPATH "@loader_path/${INKSCAPE_INSTALL_LIBDIR_RELATIVE_TO_BINDIR}")
else()
    SET(CMAKE_INSTALL_RPATH "$ORIGIN/${INKSCAPE_INSTALL_LIBDIR_RELATIVE_TO_BINDIR}")
endif()

# this can be removed if/when cmake 3.1 is made the minimum required version
set(PKG_CONFIG_USE_CMAKE_PREFIX_PATH ON)

# console output is slow as hell on Windows and as a result status messages of the "install" target slow down
# the whole build process considerably (especially since we also copy a lot of files from the devlibs)
# TODO: Is this worth to be configurable / also applicable to other platforms?
if(WIN32 AND NOT CMAKE_INSTALL_MESSAGE)
    set(CMAKE_INSTALL_MESSAGE "LAZY")
endif()

# Define a very strict set of build flags that will prevent any use of deprecated symbols.
# This will almost certainly cause compilation failure and is intended only for developer use.
set(CMAKE_CXX_FLAGS_STRICT "${CMAKE_CXX_FLAGS_DEBUG} -Werror=deprecated-declarations -DGTK_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTKMM_DISABLE_DEPRECATED -DGDKMM_DISABLE_DEPRECATED -DGLIBMM_DISABLE_DEPRECATED"
	CACHE STRING
	"Flags used by C++ compiler during Strict builds"
	FORCE)
set(CMAKE_C_FLAGS_STRICT   "${CMAKE_C_FLAGS_DEBUG}   -Werror=deprecated-declarations -DGTK_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTKMM_DISABLE_DEPRECATED -DGDKMM_DISABLE_DEPRECATED"
	CACHE STRING
	"Flags used by C compiler during Strict builds"
	FORCE)
mark_as_advanced(
	CMAKE_CXX_FLAGS_STRICT
	CMAKE_C_FLAGS_STRICT)

set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING
	"Choose the type of build, options are: None(CMAKE_CXXFLAGS or CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel Strict."
	FORCE)

# -----------------------------------------------------------------------------
# Redirect output files
# -----------------------------------------------------------------------------
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin CACHE PATH "Output directory for runtime binaries")
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR} CACHE PATH "Output directory for shared libraries")
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR} CACHE PATH "Output directory for static libraries")

# -----------------------------------------------------------------------------
# Options
# -----------------------------------------------------------------------------
option(WITH_GNU_READLINE "Compile with GNU Readline support (shell mode)" ON)
option(WITH_DBUS "Compile with support for DBus interface" OFF)
option(ENABLE_LCMS "Compile with LCMS support" ON)
option(WITH_SVG2 "Compile with support for new SVG2 features" ON)
option(WITH_LPETOOL "Compile with LPE Tool" OFF)
option(LPE_ENABLE_TEST_EFFECTS "Compile with test experimental LPEs enabled" OFF)
option(WITH_OPENMP "Compile with OpenMP support" ON)
option(WITH_PROFILING "Turn on profiling" OFF) # Set to true if compiler/linker should enable profiling
option(BUILD_SHARED_LIBS "Compile libraries as shared and not static" ON)

option(ENABLE_POPPLER "Compile with support of libpoppler" ON)
option(ENABLE_POPPLER_CAIRO "Compile with support of libpoppler-cairo for rendering PDF preview (depends on ENABLE_POPPLER)" ON)
option(WITH_IMAGE_MAGICK "Compile with support of ImageMagick for raster extensions and image import resolution (requires ImageMagick 6; set to OFF if you prefer GraphicsMagick)" ON)
option(WITH_GRAPHICS_MAGICK "Compile with support of GraphicsMagick for raster extensions and image import resolution" ON)
option(WITH_LIBCDR "Compile with support of libcdr for CorelDRAW Diagrams" ON)
option(WITH_LIBVISIO "Compile with support of libvisio for Microsoft Visio Diagrams" ON)
option(WITH_LIBWPG "Compile with support of libwpg for WordPerfect Graphics" ON)
option(WITH_GSPELL "Compile with support of gspell" ON)
option(WITH_NLS "Compile with Native Language Support (using gettext)" ON)
option(WITH_JEMALLOC "Compile with JEMALLOC support" OFF)
option(WITH_ASAN "Compile with Clang's AddressSanitizer (for debugging purposes)" OFF)
option(WITH_INTERNAL_2GEOM "Prefer internal copy of lib2geom" OFF)

option(WITH_FUZZ "Compile for fuzzing purpose (use 'make fuzz' only)" OFF)
mark_as_advanced(WITH_FUZZ)
option(WITH_MANPAGE_COMPRESSION "gzips manpages if gzip is available" ON)
mark_as_advanced(WITH_MANPAGE_COMPRESSION)

option(ENABLE_BINRELOC "Enable relocatable binaries" OFF)


include(CMakeScripts/DefineDependsandFlags.cmake) # Includes, Compiler Flags, and Link Libraries
include(CMakeScripts/HelperMacros.cmake) # Misc Utility Macros

# -----------------------------------------------------------------------------
# BAD HACKS, NEED TO INVESTIGATE MAKING THESE LESS BAD
if(BUILD_SHARED_LIBS AND NOT WIN32)
    add_definitions(-fPIC)
endif()
#
# end badness
# -----------------------------------------------------------------------------



# -----------------------------------------------------------------------------
# Subdirectories
# -----------------------------------------------------------------------------
add_subdirectory(src)

if(ENABLE_NLS)
    add_subdirectory(po)
endif(ENABLE_NLS)

if(NOT WIN32)
    include(CMakeScripts/Pod2man.cmake)
    add_subdirectory(man)
endif()



# -----------------------------------------------------------------------------
# Check License Headers
# -----------------------------------------------------------------------------
add_custom_target(check-license-headers WORKING_DIRECTORY ${CMAKE_SOURCE_DIR} COMMAND ./buildtools/check_license_headers.py)


# -----------------------------------------------------------------------------
# Test Harness
# -----------------------------------------------------------------------------

if(BUILD_TESTING OR NOT DEFINED BUILD_TESTING)
    find_package(GTest)
    if(GTEST_FOUND)
        set(DART_TESTING_TIMEOUT 180 CACHE STRING "Test timeout") # if running for > 180 s something must be wrong)
        include(CTest)
        add_subdirectory(testfiles EXCLUDE_FROM_ALL)
    else()
        set(BUILD_TESTING OFF)
        message(WARNING "No gtest found! Disabling testing...\n"
                        "Consider installing it via package manager (install 'libgtest-dev' or equivalent).")
    endif()
endif()


# -----------------------------------------------------------------------------
# Clean Targets
# -----------------------------------------------------------------------------
add_custom_target(clean-cmake-files
    COMMAND "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_SOURCE_DIR}/CMakeScripts/CleanAll.cmake"
)

add_custom_target(clean-all
    COMMAND ${CMAKE_BUILD_TOOL} clean
    COMMAND "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_SOURCE_DIR}/CMakeScripts/CleanAll.cmake"
)

# -----------------------------------------------------------------------------
# Install Target
# -----------------------------------------------------------------------------
add_subdirectory(share)

if(WIN32)
  include(CMakeScripts/InstallMSYS2.cmake)
endif()

# -----------------------------------------------------------------------------
# Uninstall Target
# -----------------------------------------------------------------------------
if(WIN32)
    add_custom_target(uninstall
        "${CMAKE_COMMAND}" -E remove_directory "${CMAKE_INSTALL_PREFIX}")
else()
    configure_file(
        "${CMAKE_SOURCE_DIR}/CMakeScripts/cmake_uninstall.cmake.in"
        "${CMAKE_BINARY_DIR}/cmake_uninstall.cmake"
        @ONLY)
    add_custom_target(uninstall
        "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
endif()

# -----------------------------------------------------------------------------
# Dist Targets
# -----------------------------------------------------------------------------
include(CMakeScripts/Dist.cmake)

# -----------------------------------------------------------------------------
# Packaging (CPack)
# -----------------------------------------------------------------------------
include(CMakeScripts/ConfigCPack.cmake)



# ----------------------------------------------------------------------
# Information Summary
# ----------------------------------------------------------------------
message("------------------------------------------------------------------------")
message("Configuration Summary")
message("------------------------------------------------------------------------")
# project info
message("PROJECT_NAME:            ${PROJECT_NAME}")
message("INKSCAPE_VERSION:        ${INKSCAPE_VERSION}")
message("INKSCAPE_DIST_PREFIX:    ${INKSCAPE_DIST_PREFIX}")
message("")

# cmake info
message("CMAKE_BINARY_DIR:        ${CMAKE_BINARY_DIR}")
message("CMAKE_INSTALL_PREFIX:    ${CMAKE_INSTALL_PREFIX}")
message("CMAKE_INSTALL_LIBDIR:    ${CMAKE_INSTALL_LIBDIR}")
message("PACKAGE_LOCALE_DIR       ${PACKAGE_LOCALE_DIR}")
message("CMAKE_SYSTEM_NAME:       ${CMAKE_SYSTEM_NAME}")
message("CMAKE_SYSTEM_VERSION:    ${CMAKE_SYSTEM_VERSION}")
message("CMAKE_SYSTEM_PROCESSOR:  ${CMAKE_SYSTEM_PROCESSOR}")
message("CMAKE_C_COMPILER:        ${CMAKE_C_COMPILER}")
message("CMAKE_CXX_COMPILER:      ${CMAKE_CXX_COMPILER}")
message("CMAKE_BUILD_TYPE:        ${CMAKE_BUILD_TYPE}")
message("")

if(WIN32)
message("CMAKE_PREFIX_PATH:           ${CMAKE_PREFIX_PATH}")
message("CMAKE_FIND_LIBRARY_PREFIXES: ${CMAKE_FIND_LIBRARY_PREFIXES}")
message("CMAKE_FIND_LIBRARY_SUFFIXES: ${CMAKE_FIND_LIBRARY_SUFFIXES}")
message("")
endif()

# dependency info
message("ENABLE_LCMS:             ${ENABLE_LCMS}")
message("ENABLE_POPPLER:          ${ENABLE_POPPLER}")
message("ENABLE_POPPLER_CAIRO:    ${ENABLE_POPPLER_CAIRO}")
message("WITH_GNU_READLINE:       ${WITH_GNU_READLINE}")

=== debian/changelog ===
inkscape (1.1-0.1~mx21+1) mx; urgency=medium

  * New upstream release.
  * Refresh python3.patch.
  * Drop avoid-syntaxwarning-in-python-extension.patch, fixed in 1.1.
  * Add new BDs libboost-filesystem-dev and libboost-python-dev.
  * Make recommended packages hard depends.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 29 May 2021 15:33:29 -0700

inkscape (1.0.2-4~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Revert the libpoppler-glib8 change, as that is not needed for backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 02 May 2021 21:24:12 +0200

=== debian/control ===
Source: inkscape
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Mattia Rizzolo <mattia@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               dh-python,
               dh-sequence-python3,
               ninja-build,
               python3
Build-Depends-Arch: imagemagick (>= 0) <!nocheck>,
                    libaspell-dev,
                    libboost-dev,
                    libboost-filesystem-dev,
                    libboost-python-dev,
                    libcdr-dev,
                    libdbus-1-dev,
                    libdbus-glib-1-dev,
                    libdouble-conversion-dev,
                    libgc-dev (>= 1:6.8),
                    libgdl-3-dev,
                    libgmock-dev,
                    libgsl-dev,
                    libgtk-3-dev,
                    libgtkmm-3.0-dev,
                    libgtkspell3-3-dev,
                    libjemalloc-dev,
                    liblcms2-dev,
                    libmagick++-dev,
                    libpango1.0-dev,
                    libpng-dev,
                    libpoppler-glib-dev,
                    libpoppler-private-dev,
                    libpotrace-dev,
                    librevenge-dev,
                    libsigc++-2.0-dev (>= 2.0.16-2),
                    libsoup2.4-dev,
                    libtool,
                    libvisio-dev,
                    libwpg-dev (>= 0.3.0),
                    libxml-parser-perl,
                    libxml2-dev (>= 2-2.4.24),
                    libxslt1-dev,
                    pkg-config,
#                    python3-pycparser,
#                    python3-lxml,
                    zlib1g-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://inkscape.org
Vcs-Git: https://salsa.debian.org/multimedia-team/inkscape.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/inkscape

Package: inkscape
Architecture: any
Depends: librsvg2-common [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64],
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
            aspell,
            fig2dev,
            imagemagick,
            libimage-magick-perl,
            librsvg2-common,
            libwmf-bin,
            python3-lxml,
            python3-numpy,
            python3-scour
Suggests: dia,
          inkscape-tutorials,
          libsvg-perl,
          libxml-xql-perl,
          pstoedit,
          python3-uniconvertor,
          ruby
Description: vector-based drawing program
 Inkscape is an illustration editor which has everything needed to
 create professional-quality computer art. You can use it to make
 diagrams and illustrations, technical drawings, web graphics, clip art,
 icons and logos. A collection of hands-on tutorials show you how to
 combine lines, shapes and text of different types and styles to build
 up a picture.
 .
 A selection of powerful vector graphics editing tools comes as
 standard. There is excellent support for paths, gradients, layers,
 alpha transparency and text flow control. An extensive library of
 filters allow you to apply realistic effects and extensions allow you
 to work with bitmaps, barcodes and printing marks, amongst other things.
 .
 Most of the common vector formats are supported, including PDF, Adobe
 Illustrator and AutoCAD files, and it has unrivalled support for the
 SVG web graphics standard.
 .
 Between the suggested packages:
  * dia: to export Dia shapes;
  * libsvg-perl: to import .txt files (txt2svg extension);
  * libxml-xql-perl: to use the shadow effect;
  * python3-uniconvertor: enables several import/export extensions;
  * pstoedit: to work with eps files;
  * ruby: there are several extensions written in ruby;

Package: inkscape-tutorials
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: inkscape
Breaks: inkscape (<= 0.92.3-2~)
Replaces: inkscape (<= 0.92.3-2~)
Description: vector-based drawing program - tutorials
 Inkscape is an illustration editor which has everything needed to
 create professional-quality computer art. You can use it to make
 diagrams and illustrations, technical drawings, web graphics, clip art,
 icons and logos. A collection of hands-on tutorials show you how to
 combine lines, shapes and text of different types and styles to build
 up a picture.
 .
 This package contains the tutorials, accessible from the Help > Tutorials
 menu.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem cmake+ninja

override_dh_auto_configure-arch:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=Release \
		-DWITH_DBUS=ON \
		-DDART_TESTING_TIMEOUT=180

override_dh_auto_test-arch:
	@# this is not run in parallel just because I'm too lazy to parse DEB_BUILD_OPTIONS
	cd obj-$(DEB_HOST_GNU_TYPE) && LC_ALL=C.UTF-8 ninja -v tests
	# some tests are not parallel-safe, since they try to look at the same file
ifeq ($(DEB_HOST_ARCH_ENDIAN),little)
	dh_auto_test -a --no-parallel
else
	# the testsuite fails on BE.  https://gitlab.com/inkscape/inkscape/-/issues/1365
	-dh_auto_test -a --no-parallel
endif

override_dh_auto_install-arch:
	# The tutorials are manually installed, the rest goes here
	dh_auto_install --destdir=debian/inkscape
	rm -rv debian/inkscape/usr/share/inkscape/tutorials
	rm -rv debian/inkscape/usr/share/inkscape/*/README
	# Remove extensions that work only on Windows.  #930154
	# https://gitlab.com/inkscape/inkscape/-/merge_requests/2689
  #	rm -v debian/inkscape/usr/share/inkscape/extensions/print_win32_vector.*

ifeq (buster-backports,$(DEB_DISTRIBUTION))
override_dh_dwz:
	: Skipping dwz, 0.12 cannot compress Inkscape debug symbols
endif

override_dh_auto_configure-indep: nothing
override_dh_auto_build-indep: nothing
override_dh_auto_install-indep: nothing
override_dh_auto_test-indep: nothing
.PHONY: nothing
nothing:
	: Do nothing for the -indep build

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## inkscape 1.1+202202050950+0a00cf5339~ubuntu20.04.1+10.0trisquel2

=== debian/changelog ===
inkscape (1:1.1+202202050950+0a00cf5339~ubuntu20.04.1+10.0trisquel2) nabia-backports; urgency=medium

  * Backported from ppa

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 05 Feb 2022 12:37:13 +0000

inkscape (1:1.1+202202050950+0a00cf5339~ubuntu20.04.1) focal; urgency=low

  * Auto build.

 -- Mc <marcjeanmougin@free.fr>  Sat, 05 Feb 2022 09:50:50 +0000

inkscape (1.0) focal; urgency=low

  * Updated for 1.0

 -- Marc Jeanmougin <marc@jeanmougin.fr> Fri May 1 02:09:38 2020 +0200

inkscape (0.92.2.0+68) artful; urgency=low

  * No-op rebuild for new poppler

 -- Alex Valavanis <valavanisalex@gmail.com>  Thu, 26 Oct 2017 20:31:00 +0100

inkscape (0.91.0+48) wily; urgency=low

  * Rebuild for new wily package naming

 -- Alex Valavanis <valavanisalex@gmail.com>  Mon, 19 Oct 2015 15:02:00 +0100

=== debian/control ===
Source: inkscape
Section: graphics
Priority: optional
Maintainer: Inkscape developers <inkscape-devel@lists.inkscape.org> 
Uploaders: Ted Gould <ted@gould.cx>,
           Bryce Harrington <bryce@bryceharrington.org>,
           Marc Jeanmougin <marc.jeanmougin@telecom-paris.fr>
Build-Depends:
 aspell,
 bash-completion,
 gnome-pkg-tools,
 debhelper,
 dh-python,
 build-essential,
 cmake,
 intltool,
 pkg-config,
 python3-dev,
 libtool,
 software-properties-common,
 libart-2.0-dev,
 libaspell-dev,
 libblas3,
 liblapack3,
 libboost-dev,
 libboost-filesystem-dev,
 libboost-python-dev,
 libcdr-dev,
 libdouble-conversion-dev,
 libgc-dev,
 libgdl-3-dev,
 libdbus-1-dev,
 libdbus-glib-1-dev,
 libglib2.0-dev,
 libgsl-dev,
 libgtest-dev,
 libgtk-3-dev,
 libgtkmm-3.0-dev,
 libgtkspell3-3-dev,
 libhunspell-dev,
 libjemalloc-dev,
 liblcms2-dev,
 libmagick++-dev,
 libpango1.0-dev,
 libpng-dev,
 libpoppler-glib-dev,
 libpoppler-private-dev,
 libpotrace-dev,
 libreadline-dev,
 librevenge-dev,
 libsigc++-2.0-dev,
 libsoup2.4-dev,
 libvisio-dev,
 libwpg-dev,
 libxml-parser-perl,
 libxml2-dev,
 libxslt1-dev,
 pkg-config,
 python3-lxml,
 zlib1g-dev,
 google-mock,
 imagemagick,
 fonts-dejavu
Build-Conflicts:
 libpng12-dev
Standards-Version: 3.9.8
Homepage: https://inkscape.org/
Vcs-Browser: https://gitlab.com/inkscape/inkscape
Vcs-git: https://gitlab.com/inkscape/inkscape.git

Package: inkscape
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 aspell,
 imagemagick,
 perlmagick,
 libwmf-bin,
 perlmagick,
 python3-lxml,
 python3-numpy,
 python3-scour,
 python3-cssselect,
 python3-packaging,
 python3-gi,
 python3-gi-cairo,
 python3-appdirs,
 gir1.2-gtk-3.0,
 adwaita-icon-theme-full
Suggests:
 dia | dia-gnome,
 ruby,
 libsvg-perl,
 libxml-xql-perl,
 transfig,
 python3-serial,
 pstoedit
Conflicts: inkscape-trunk
Description: vector-based drawing program
 Inkscape is an illustration editor which has everything you need to create
 professional-quality computer art.  You can use it to make diagrams and 
 illustrations, technical drawings, web graphics, clip art, icons and logos.
 A collection of hands-on tutorials show you how to combine lines, shapes, and
 text of different styles to build up a picture.
 .
 A selection of powerful vector graphics editing tools comes as standard. There
 is excellent support for paths, gradients, layers, alpha transparency, and 
 text flow control. An extensive library of filters allows you to apply 
 realistic effects, and extensions allow you to work with bitmaps, barcodes 
 and printing marks, amongst other things.
 .
 Most of the common vector formats are supported, including PDF, Adobe 
 Illustrator and AutoCAD files, and it has unrivalled support for the SVG web 
 graphics standard.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules  for inkscape derived from a sample 
# provided by Joey Hess via dh_make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Drop the --parallel flag as soon as we bump to compat 10
# We can do this once we drop support for Ubuntu Xenial and earlier
%:
	dh $@ \
		--buildsystem cmake \
		--parallel          \
		--with bash-completion,gnome

override_dh_gnome_clean:
	dh_gnome_clean --no-control

# No need for autoreconf in CMake builds
override_dh_autoreconf:


override_dh_auto_test:
	@# this is not run in parallel just because I'm too lazy to parse DEB_BUILD_OPTIONS
	# $(MAKE) -C obj-$(DEB_HOST_GNU_TYPE) tests
	# some tests are not parallel-safe, since they try to look at the same file
	# dh_auto_test -a --no-parallel
	echo "skip tests because gtest is bad on bionic. Uncomment the above in 2028."

override_dh_auto_configure:
	dh_auto_configure --

# Don't run scour, there is no need for it at all, and the defaults are not
# appropriate for Inkscape's SVGs
# https://bugs.launchpad.net/ubuntu/+source/inkscape/+bug/1638373
override_dh_scour:
override_dh_python3:
	dh_python3 --no-ext-rename
